Subject: bug#21313: 25.0.50; Strange errors from dbus-handle-event

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Oct 2015 13:11:35 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 16 Oct 2015 11:25:36 +0200
> 
> What's a bit confusing is that it has been handled at least partially:
> Quit was echoed but there was no "real" effect.  So I guess somewhere
> the quit signal emitted by process_quit_flag() was caught by whatever
> code does echo messages and then re-signalled, and the top-level handler
> discarded it because Vquit_flag was nil.

That's what process_quit_flag does.

> The question is if Quit should have been echoed at all?  Well, it's good
> for the user to see that emacs received it but then he'll wonder like me
> why it has no effect.  So maybe it should have echoed "Quit [ignored]"
> or something like that.

These situations are not supposed to happen.  IOW, that was a bug.